# Changelog

All notable changes to this project will be documented in this file.

## [0.1.0] - 2022-10-16

- Updates to Init Function (See Notes Below)
```javascript
// Dev Helper Setup
(require('hs-dev-helper/init')({
	enablePackageFields : true,
	globalFieldsDir: 'src/fields/lib',
	enablePackageConfig : true,
	configSrcFile : 'src/fields/config.js',
	configHublAccessKey: undefined, // Default to 'toHubl"
	configHublKey: undefined, // Default to $hublConfig
	configToHublVariableDest : 'src/hubl/vars/config.html',
	generateHublConfig: true
}));
```
- Fields Library removed. `loadFromFieldsDir` instead
- Config to Sass Generator
```javascript
// in your config file
toSass: {
	variableName: 'foobar'
}

// in your node init file
const { generateSassVariablesFromConfig } = require('hs-dev-helper/build/configToSass');
let sassAdditionalData = generateSassVariablesFromConfig('toSass')

// add to your sass loader
additionalData: sassAdditionalData || "",

// in your sass file
color: $variableName;
```
- Page Loader
```html
<!-- In your HUBL layout -->
{% import "./macros/page-loader.html" %}
<body>
	{ % call pageLoader({ class : "bg-black", waitMs : 20 }) % }
		{% include "../partials/logo.html" ignore missing %}
	{ % endcall % }
```
``` javascript
//In JS:
import removePageLoader from 'hs-dev-helper/js-toolkit/removePageLoader';
removePageLoader()
```
- Component Updates
	- Macros
	- Dict `deepUpdate` macro
	- Twitter and Vue CDN Loaders
	- Body "loaded" Class methods
	- Vue ScrollTop component
	- Style updates

**NOTES:**
- `configHublAccessKey` is used to identify the key within your config file that is used to generate the HUBL code
- `configHublKey` is the variable name that you can access the hubl dict with eg. `{{ $hublConfig.foo }}`
- The configHubl is also set in a node global variable.


## [0.0.3] - 2022-10-16
- Init Helper Function
```javascript
// Dev Helper Setup
(require('hs-dev-helper/init')({
	enablePackageFields : true,
	enablePackageConfig : true,
	enablePackageLibrary : true,
	globalFieldsDir: 'src/fields/lib',
	fieldsConfigSrcFile : 'src/fields/config.js',
	fieldsLibrarySrcFile : 'src/fields/library.js',
	configToHublDest : 'src/hubl/vars/config.html',
	generateHublConfig: true,
}));
```

## [0.0.2] - 2022-10-16
- Cdn Loaders

## [0.0.1] - 2022-10-15
- Initial Publish
